Package org.apache.commons.collections4.functors

# Class ExceptionPredicate<T>

java.lang.Object
org.apache.commons.collections4.functors.AbstractPredicate<T>
org.apache.commons.collections4.functors.ExceptionPredicate<T>

Type Parameters:
  `T` - The type of the input to the predicate.

All Implemented Interfaces:
  `Serializable`, `Predicate<T>`, `Predicate<T>`

public final class ExceptionPredicate<T> extends AbstractPredicate<T> implements Serializable
Predicate implementation that always throws an exception.

Since:
  3.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Predicate`
  `INSTANCE`
  Singleton predicate instance

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> Predicate<T>`
  `exceptionPredicate()`
  Factory returning the singleton instance.
  `boolean`
  `test(T object)`
  Evaluates the predicate always throwing an exception.

  ### Methods inherited from class org.apache.commons.collections4.functors.AbstractPredicate

  `evaluate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

- ## Field Details

  - ### INSTANCE

    public static final Predicate INSTANCE
    Singleton predicate instance

- ## Method Details

  - ### exceptionPredicate

    public static <T> Predicate<T> exceptionPredicate()
    Factory returning the singleton instance.
    Type Parameters:
      `T` - the object type
    Returns:
      The singleton instance
    Since:
      3.1

  - ### test

    public boolean test(T object)
    Evaluates the predicate always throwing an exception.
    Specified by:
      `test` in interface `Predicate<T>`
    Specified by:
      `test` in interface `Predicate<T>`
    Parameters:
      `object` - The input object
    Returns:
      never
    Throws:
      `FunctorException` - always